QGIS Application - Bug report #3241
Live GPS - Error Dialogs disrupt usage
2010-11-22 02:02 PM - John Floyd -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Fedora Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 13301
Description

Live GPS works ok. However if you set a local CRS and a transformation error occurs (error is lat or long is out of range), then a Dialog
pops up to let you know - waiting for a button press. Then it continues to pop up on every gps position (effectively locking the user access
to the program) until you can kill the GPS input.

A friendlier notification is needed something like 'only show if last message was > x seconds/min ago' or something other then a message
box, say a message in RED in the Live GPS Gui.

Also useful would be a capability like in the capture coordinate to put a second Coord (CRS) in the Gui as well. Maps are generally not
printed in lat-long! and despite the digital world, printed maps are still a nice in the field QA.

Another item - can the gps device spec be editable as well as the pre-defined ones? Eg USB GPS devices under linux can occur as
ttyUSBx or in some cases as ttyACMXx.

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:24 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0
- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 12:02 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:38 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2017-05-01 12:58 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/
